[package]
name = "uauto_backend_rust"
version = "0.1.0"

[dependencies]
rand = "*"

bytes = "0.4"
byteorder = "1.1"

tokio-io = "0.1"
tokio-core = "0.1"

futures = "0.1"
dotenv = "0.9.0"
env_logger = "0.5"
reqwest = "0.8.7"

actix = "0.7.3"
actix-web = "0.7.3"

osm-xml = "0.6.2"

serde_json = "1.0"
serde = "1.0"
serde_derive = "1.0"

diesel = { version = "^1.1.0", features = ["postgres","r2d2"] }
r2d2 = "0.8.2"

#uuid = { version = "0.6", features = ["serde"]}

#r2d2-diesel = "1.0.0"
#syn = "0.14"
